Subject: [GCD] Migrating repositories, issues, and patches to Codeberg

From: Josep Bigorra <[email-masked]>
Date: Sun, 30 Mar 2025 09:28:09 -0700 (PDT)

Hi all,

As a relatively new contributor I am very happy to see how good of a community exists around Guix and the amazing and intelligent people that push this project forward.

I think as many have already mentioned, we should lower the barrier of entry, and also not try to swim upstream in DX (developer experience). There is a reason PR based workflow is predominant. It enhances collaboration, visibility and automation.

IMHO Why don't we stop wasting our intelligent people's time on checking formatting / best practices and have some CI workflows that run on every PR. We can push it also further and do all kinds of testing / building as well and even create automated comments that bring knowledgeable people to the PR.

I think with a bit of love we could also find a good strategy to backup our project to a plan B type of thing, in case Codeberg somehow disappears (unlikely). As for the issue tracker, I personally have no preference and really actually think the mailing list is an acceptable solution for the time being with debbugs.

I know for a fact of many Guix users (of varying technical levels) that would like to upstream things but feel discouraged when having to use patches, series of patches, etc.
Reading discussions that are non trivial is for pretty impossible currently and on a PR with comments directly in the code this is so so much better.

Merge conflicts could also be much smoother to fix and more visible,

Appreciate all your comments, just my 2 cents here,

Visca Guix!

Best, Josep